This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 865340 - RFE: Do not enable the ballooning device
RFE: Do not enable the ballooning device
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
1.0 (Essex)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Yaniv Kaul
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 05:20 EDT by Yaniv Kaul
Modified: 2013-07-03 22:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-17 10:18:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2012-10-11 05:20:27 EDT
Description of problem:
Currently, we enable the ballooning device, although we don't use it. It only takes a PCI slot, and provides no value whatsoever. 

(-device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x5 in the QEMU command line)

Version-Release number of selected component (if applicable):
Essex

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 Daniel Berrange 2012-12-17 10:18:55 EST
Even if the balloon device isn't used for ballooning memory, it can still be used to access guest OS memory statistics, which does provide value. I don't believe typical cloud deployment is going to be running into the PCI device slot limit for virtio disks, and even if it did, we would be better off using virtio-scsi to increase the max disk limit, rather than dropping virtio balloon which merely gains you 1 extra disk.

Note You need to log in before you can comment on or make changes to this bug.